Skip to main content
`Ctrl`+`K`

# PEPLinearGetExplicitMatrix

Returns the flag indicating if the matrices \(A\) and \(B\) for the linearization are built explicitly.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPLinearGetExplicitMatrix(PEP pep,PetscBool *explicitmat)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- explicitmat - the mode flag

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPLINEAR`, `PEPLinearSetExplicitMatrix()`

## Level

advanced

## Location

src/pep/impls/linear/linear.c

## Implementations

PEPLinearGetExplicitMatrix_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages